Bug 1302718 - user 'tomcat': program '/bin/nologin' does not exist
user 'tomcat': program '/bin/nologin' does not exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 07:56 EST by DaveG
Modified: 2016-03-25 18:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: tomcat-7.0.68-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-25 18:22:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DaveG 2016-01-28 07:56:47 EST
Description of problem:

Minor niggle!

The tomcat UID specifies '/bin/nologin' as it's shell. That does not exist in a standard installation and should be '/sbin/nologin'.


Version-Release number of selected component (if applicable):

Historical through rawhide.


How reproducible:

Always.


Steps to Reproduce:
1. Install.
2. Run pwck.


Actual results:

user 'tomcat': program '/bin/nologin' does not exist


Expected results:

No errors or warnings.


Additional info:

http://pkgs.fedoraproject.org/cgit/rpms/tomcat.git/tree/tomcat.spec#n527
Comment 2 Fedora Update System 2016-02-23 05:05:10 EST
tomcat-8.0.32-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 3 Fedora Update System 2016-02-23 12:35:52 EST
tomcat-7.0.68-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 4 Fedora Update System 2016-02-24 16:51:38 EST
tomcat-8.0.32-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 5 Fedora Update System 2016-02-25 05:53:11 EST
tomcat-7.0.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 6 Fedora Update System 2016-02-27 10:43:29 EST
tomcat-7.0.68-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 7 Fedora Update System 2016-02-28 08:50:57 EST
tomcat-7.0.68-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 8 Fedora Update System 2016-03-11 01:49:17 EST
tomcat-7.0.68-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 9 Fedora Update System 2016-03-12 11:53:24 EST
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 10 Fedora Update System 2016-03-25 18:21:30 EDT
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.